=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2010-11-17 22:42:32 +0000
+++ drizzled/drizzled.cc	2010-11-19 05:07:24 +0000
@@ -1146,7 +1146,6 @@
   pid_file.replace_extension(".pid");
 
   system_config_dir /= "drizzle";
-  std::string system_config_file_drizzle("drizzled.cnf");
 
   config_options.add_options()
   ("help,?", po::value<bool>(&opt_help)->default_value(false)->zero_tokens(),
@@ -1362,12 +1361,15 @@
 
   if (not vm["no-defaults"].as<bool>())
   {
+    fs::path system_config_file_drizzle(system_config_dir);
+    system_config_file_drizzle /= "drizzled.cnf";
     defaults_file_list.insert(defaults_file_list.begin(),
-                              system_config_file_drizzle);
+                              system_config_file_drizzle.file_string());
 
     fs::path config_conf_d_location(system_config_dir);
     config_conf_d_location /= "conf.d";
 
+
     CachedDirectory config_conf_d(config_conf_d_location.file_string());
     if (not config_conf_d.fail())
     {

